# class StringScanner

### Public Instance Methods

scan_before(pattern, scan_anyway = false) click to toggle source

scans string until `pattern` is encountered. If `pattern` will not be encountered then it returns nil but if `scan_anyway` is true then it scans until the end of the string.

    # File lib/facets/strscan.rb, line 8
    def scan_before(pattern, scan_anyway = false)
      if not check_until(pattern) and not scan_anyway then return nil; end
      result = ""
      result << getch until check(pattern) or eos?
      return result
    end